Page MenuHomePhabricator

Update jenkins-debian-glue packages on Jessie to v0.13.0
Closed, ResolvedPublic

Description

To easily build Debian package via Jenkins, I am reusing a set of shell script from http://jenkins-debian-glue.org/ . They are maintained by Debian Developer Michael "mika Prokop.

This task is to build v0.13.0 for Jessie and have it made available on apt.wikimedia.org.

For the context:

T95006 got us v0.11.0 on Jessie, it does not support distributions containing a dash in their name such as jessie-wikimedia. I have proposed [[ https://github.com/mika/jenkins-debian-glue/pull/116 | a patch ]] that is included in v0.13.0.

The package is not available in Debian but upstream source have the /debian/ package. The tarball that includes the /debian/ dir. can be downloaded from https://github.com/mika/jenkins-debian-glue/releases/tag/v0.13.0 . The source packages generates several binary package which we rely on.

There is no need to bump the version on Ubuntu Precise / Trusty. The jobs will be migrated to Jessie whenever v0.13.0 is available and puppet pass properly ( T94836 ).

Event Timeline

hashar created this task.Jun 11 2015, 9:13 AM
hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added a subscriber: hashar.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2015, 9:13 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 29 2015, 10:50 AM
Joe triaged this task as Normal priority.Jul 13 2015, 1:49 PM
hashar closed this task as Resolved.Jul 23 2015, 3:52 PM

Package has been uploaded on apt.wikimedia.org:

apt-cache policy jenkins-debian-glue
jenkins-debian-glue:
  Installed: 0.13.0
  Candidate: 0.13.0
  Version table:
 *** 0.13.0 0
       1001 http://apt.wikimedia.org/wikimedia/ jessie-wikimedia/main amd64 Packages
        100 /var/lib/dpkg/status
     0.11.0 0
       1001 http://apt.wikimedia.org/wikimedia/ jessie-wikimedia/thirdparty amd64 Packages

Thank you!